Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 130230 - eog should be deprecated
eog should be deprecated
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Carl Worth
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-18 07:50 EDT by Jones Lee
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 07:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
eog ui (38.21 KB, image/png)
2004-11-09 12:50 EST, Bryan W Clark
no flags Details
gthumb ui (45.09 KB, image/png)
2004-11-09 13:09 EST, Bryan W Clark
no flags Details

  None (edit)
Description Jones Lee 2004-08-18 07:50:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
eog does the same thing like gThumb. So I think we should deprecate 
eog out and remove the dependency b/w nautilus and eog.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. nothing
2.
3.
    

Additional info:
Comment 2 Marco Pesenti Gritti 2004-11-09 09:34:32 EST
The downside of removing eog could be that gthumb is not as good as a
quick viewer, for example when double clicking images in nautilus.
Alex was pointing out that:

- It starts maximized and so cover everything else.
- There are more "chromes" and so more visual noise around the view of
the image

Also even if the image view is covering the folder view there are
still details visible (for example the number of the images in the
folder).

Someone is hacking on a unified viewer for several file formats (it
could cover pdf, ps, images ...) similar to the one OS X have. That's
probably the best longer time solution...

What we do in the meantime though? Keep eog or improve gthumb as a
single file viewer ?
Comment 3 Marco Pesenti Gritti 2004-11-09 09:48:04 EST
Btw I removed the nautilus dependency. It was for the inline view
which is not used anymore.
Comment 4 Bryan W Clark 2004-11-09 12:47:35 EST
(In reply to comment #2)
> - It starts maximized and so cover everything else.

Yes, but this is a simple fix.

> - There are more "chromes" and so more visual noise around the view of
> the image

I took screenshots of both, which I'll attach.  There isn't too much difference
in the amount of noise in both these apps but gthumb does need some help in
making it's single image view a little simpler.

> Also even if the image view is covering the folder view there are
> still details visible (for example the number of the images in the
> folder).

Yea, this probably isn't desireable for single image viewing.

> Someone is hacking on a unified viewer for several file formats (it
> could cover pdf, ps, images ...) similar to the one OS X have. That's
> probably the best longer time solution...

As far as I know this single viewer is only going to handle single and
multi-page documents.  pdf, ps, and tiff are expected to be handled.  I haven't
heard that it will be handling images as well.  I'll have to check in with the
developers of that project.

> What we do in the meantime though? Keep eog or improve gthumb as a
> single file viewer ?

To me this is the same question as how rhythmbox should handle playing single
sound files.  Often people want to play single sound files, but with rb as your
default player it automatically adds files to your playlist which isn't always
the desired behavior. [1] Gthumb aims to be a photo collection organizer, which
is similar to rb aiming to be a music collection organizer.  

I think we should look into moving towards working on gthumb and making it into
a nice photo collection tool with the ability to view single images quickly and
simply.  Eog is becoming more and more cluttered with no real direction of what
it's intending to become.

[1] http://bugzilla.gnome.org/attachment.cgi?id=32946&action=view
Comment 6 Bryan W Clark 2004-11-09 12:50:23 EST
Created attachment 106359 [details]
eog ui
Comment 7 Bryan W Clark 2004-11-09 13:09:27 EST
Created attachment 106361 [details]
gthumb ui
Comment 8 Alexander Larsson 2004-11-11 12:38:19 EST
"I think we should look into moving towards working on gthumb and
making it into a nice photo collection tool with the ability to view
single images quickly and simply."

For photo collection tools there is also a lot of work being done on
f-spot.
Comment 9 Bryan W Clark 2005-02-12 23:41:45 EST
f-spot would be a nice app to include, assuming we pull in the mono
stack (f-spot requires it) it might be better to go with that.
Comment 10 Alexander Larsson 2006-08-14 07:58:09 EDT
I think the right approach is to use eog for a simple viewer, and f-spot for
"photo management". I think this is the direction upstream is taking too.

Note You need to log in before you can comment on or make changes to this bug.